extends Button

export (Resource) var player_class

signal selected(index)

func _ready():
	if player_class is PlayerClass:
		icon = player_class.skin_icon

func _on_SelectClassButton_toggled(button_pressed):
	if button_pressed:
		emit_signal("selected", get_index())
